
<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
<head>
    <meta charset="ISO-8859-1">
    <title>Adding Page</title>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-dark static-top" style="background-color:lightskyblue;height: 75px">
    <div class="container">
        <a class="navbar-brand" href="/home" style="color:black;padding-left: 470px; font-size:36px" >Adding page</a>
    </div>
</nav>
<br>
<br>
<div align="center">

    <div class="card">
        <div class="card-body">
            <div class="col-md-8" style="padding-left: 200px">
                <form action="#" th:action="@{/save}" th:object="${data}" method="post">
                    <div class="row">
                        <div class="form-group col-md-10">
                            <label for="habitat" class="col-form-label">Habitat name</label>
                            <input type="text" th:value="${data.habitat}" th:name="Habitat" class="form-control"
                                   id="habitat" placeholder="Habitat" />
                        </div>
                        <div class="form-group col-md-10">
                            <label for="animalName" class="col-form-label">Animal Name</label>
                            <input type="text" th:field="*{animalName}" class="form-control"
                                   id="animalName" placeholder="Animal Name" />
                        </div>
                        <div class="form-group col-md-10">
                            <label for="animalType" class="col-form-label">Animal Type</label>
                            <input type="text" th:field="*{animalType}" class="form-control"
                                   id="animalType" placeholder="Animal Name" />
                        </div>
                        <div class="col-md-6" style="padding-left: 270px">
                            <input type="submit" class="btn btn-primary" style="background-color: darkblue;color:white" value=" Submit ">
                        </div>
                        <input type="hidden" id="id" th:field="*{id}">
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
</body>
</html>
